<?php
/**
 * Loop Rating
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/loop/rating.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see         https://docs.woothemes.com/document/template-structure/
 * @author      WooThemes
 * @package     WooCommerce/Templates
 * @version     2.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
    exit; // Exit if accessed directly
}

global $product;

if ( get_option( 'woocommerce_enable_review_rating' ) === 'no' )
	return;
?>

<?php if ( $rating_html = $product->get_rating_html() ) : ?>
    <?php echo wp_kses($rating_html, array(
        'div' => array(
            'class' => true,
            'title' => true,
            'style' => true,
            'id' => true
        ),
        'span' => array(
            'style' => true,
            'class' => true,
            'id' => true,
            'title' => true
        ),
        'strong' => array(
            'class' => true,
            'id' => true,
            'style' => true,
            'title' => true
        )
    )); ?>
<?php else: ?>
        <div class="star-rating">
            <span style="width: 0%"></span>
        </div>
<?php endif; ?>